import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsGrid as GdsGridClass } from "../../../components/grid/grid.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsGrid = (props) => {
  GdsGridClass.define();
  const JSXElement = getReactComponent("gds-grid");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsGrid.displayName = "GdsGrid";
export {
  GdsGrid
};
